Protecting FreeBSD (EOL, See KB 6643)

SUMMARY

FreeBSD ReadMe. This information below was previously true, but has been superseded by KB Unitrends Operating System End of Life Notification. It is being kept for legacy information only.

ISSUE

UPDATE: As of April 2nd 2019, FreeBSD has been added to our Unitrends Operating System End of Life Notification.

RESOLUTION

This information below was previously true, but has been superseded by KB Unitrends Operating System End of Life Notification. It is being kept for legacy information only.

CAUSE

As of April 2nd 2019, FreeBSD has been added to our Unitrends Operating System End of Life Notification.

NOTES

This information below was previously true, but has been superseded by KB 6643 Unitrends Operating System End of Life Notification.
 

The information below is legacy information only.




Purpose

This article is to provide the README documentation included with the FreeBSD Unitrends agent.

 

Resolution


This is the README file The Backup Professional
------------------------------------------------------------------------------

              *** IMPORTANT NOTICE FOR FreeBSD 4.7 and 6.1 USERS ***

a) FreeBSD 4.7 needs some extra libraries on your machine.
It is sets of libraries compat3x and compat4x

Without those libraries you will have troubles with installation and usage the software. Before the installation please
perform those manual operations.

1. Edit the file /etc/make.conf and add folowing strings there:

COMPAT3X=yes
COMPAT4X=yes

If file /etc/make.conf does not exist on your system, create it.

2. Then as root:
   cd /usr/src/lib/compat
   make obj
   make
   make install
                     

If you don't have /usr/src/lib/compat directory on your machine:

1. Download extra libraries from FreeBSD FTP site:

ftp://ftp.freebsd.com/pub/FreeBSD/releases/i386/4.7-RELEASE/packages/misc/compat3x-i386-4.4.20020925.tgz
ftp://ftp.freebsd.com/pub/FreeBSD/releases/i386/4.7-RELEASE/packages/misc/compat4x-i386-4.6.2.tgz                                                             

   or from Unitrends FTP site:

ftp://209.92.4.30/bp/patches/compat3x-i386-4.4.20020925.tgz
ftp://209.92.4.30/bp/patches/compat4x-i386-4.6.2.tgz

2. su root
   umask 022
   pkg_add compat3x-i386-4.4.20020925.tgz
   pkg_add compat4x-i386-4.6.2.tgz
   Rename /usr/local/etc/rc.d/*.sh.sample to *.sh
   sync
   Reboot the system.             

b) FreeBSD 6.1 needs some extra libraries on your machine.
It is sets of libraries compat4x and compat5x              
Without those libraries you will have troubles with installation and usage the software. Before the installation please
perform those manual
operations.                                    

1) Make sure that your machine has internet access.

2) As root:
# pkg_add -r compat4x-i386
# pkg_add -r compat5x-i386

Or istead of pkg_adds yo can do following.
# cd /usr/ports/misc/compat4x
# make; make install
# cd /usr/ports/misc/compat5x
# make; make install


3) Edit the file /etc/rc.conf and add folowing strings there:
compat4x_enable=yes
compat5x_enable=yes

4) Reboot your system.

5) Change directory to /usr/local/lib/compat then run following commands:
# ln -s libc.so.4 libc.so.3
# ln -s libxpg4.so.3 libxpg4.so.2
Was this article helpful?
0 out of 0 found this helpful
Have more questions? Contact us